Bug 1029050 - Reinstall host by rest api fails on root_password field requirement
Reinstall host by rest api fails on root_password field requirement
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Yaniv Bronhaim
sefi litmanovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 09:40 EST by Yaniv Bronhaim
Modified: 2016-02-10 14:28 EST (History)
9 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 10:04:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21589 None None None Never

  None (edit)
Description Yaniv Bronhaim 2013-11-11 09:40:05 EST
Description of problem:
Request for reinstall action requires <root_password></root_password> as part of the request although we connect by public key 

--- the request
<action>                                                  
<root_password></root_password>   <-- without those
<ssh>                                                                          
<port>22</port>                                                                
<authentication_method>PublicKey</authentication_method>                        
</ssh>                                                                          
</action>
---

returns the failure from BZ 987982 (rootPassword is required)

How reproducible:
100%

Steps to Reproduce:
1. add host, put it on maintainace
1. run the above REST API action

Actual results:
Failing the operation on required field rootPassword 


Expected results:
Should work without any warning if pk is verified

Additional info:
we keep validate rootPassword field in BackendHostMapper-
 validateParameters(action, "rootPassword");

It shouldn't be there at all
Comment 1 Sandro Bonazzola 2014-01-14 03:43:17 EST
ovirt 3.4.0 alpha has been released
Comment 2 sefi litmanovich 2014-01-30 12:58:37 EST
Verified on RHEL6.5, ovirt-engine-3.4.0-0.5
Comment 3 Itamar Heim 2014-06-12 10:04:34 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.